Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network92.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
92.0.0.0
Broadcast address
92.127.255.255
First usable
92.0.0.1
Last usable
92.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 5C000000 · Integer 1543503872 to 1551892479
Reverse DNS zones
0.92.in-addr.arpa
1.92.in-addr.arpa
2.92.in-addr.arpa
3.92.in-addr.arpa
4.92.in-addr.arpa
5.92.in-addr.arpa
6.92.in-addr.arpa
7.92.in-addr.arpa
8.92.in-addr.arpa
9.92.in-addr.arpa
10.92.in-addr.arpa
11.92.in-addr.arpa
12.92.in-addr.arpa
13.92.in-addr.arpa
14.92.in-addr.arpa
15.92.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011100.00000000.00000000.0000000092.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01011100.00000000.00000000.0000000092.0.0.0
Broadcast01011100.01111111.11111111.1111111192.127.255.255
Split into smaller subnets/21

92.0.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
192.0.0.0/2192.0.0.1 to 92.0.7.25492.0.7.2552,046
292.0.8.0/2192.0.8.1 to 92.0.15.25492.0.15.2552,046
392.0.16.0/2192.0.16.1 to 92.0.23.25492.0.23.2552,046
492.0.24.0/2192.0.24.1 to 92.0.31.25492.0.31.2552,046
592.0.32.0/2192.0.32.1 to 92.0.39.25492.0.39.2552,046
692.0.40.0/2192.0.40.1 to 92.0.47.25492.0.47.2552,046
792.0.48.0/2192.0.48.1 to 92.0.55.25492.0.55.2552,046
892.0.56.0/2192.0.56.1 to 92.0.63.25492.0.63.2552,046
992.0.64.0/2192.0.64.1 to 92.0.71.25492.0.71.2552,046
1092.0.72.0/2192.0.72.1 to 92.0.79.25492.0.79.2552,046
1192.0.80.0/2192.0.80.1 to 92.0.87.25492.0.87.2552,046
1292.0.88.0/2192.0.88.1 to 92.0.95.25492.0.95.2552,046
1392.0.96.0/2192.0.96.1 to 92.0.103.25492.0.103.2552,046
1492.0.104.0/2192.0.104.1 to 92.0.111.25492.0.111.2552,046
1592.0.112.0/2192.0.112.1 to 92.0.119.25492.0.119.2552,046
1692.0.120.0/2192.0.120.1 to 92.0.127.25492.0.127.2552,046
1792.0.128.0/2192.0.128.1 to 92.0.135.25492.0.135.2552,046
1892.0.136.0/2192.0.136.1 to 92.0.143.25492.0.143.2552,046
1992.0.144.0/2192.0.144.1 to 92.0.151.25492.0.151.2552,046
2092.0.152.0/2192.0.152.1 to 92.0.159.25492.0.159.2552,046
2192.0.160.0/2192.0.160.1 to 92.0.167.25492.0.167.2552,046
2292.0.168.0/2192.0.168.1 to 92.0.175.25492.0.175.2552,046
2392.0.176.0/2192.0.176.1 to 92.0.183.25492.0.183.2552,046
2492.0.184.0/2192.0.184.1 to 92.0.191.25492.0.191.2552,046
2592.0.192.0/2192.0.192.1 to 92.0.199.25492.0.199.2552,046
2692.0.200.0/2192.0.200.1 to 92.0.207.25492.0.207.2552,046
2792.0.208.0/2192.0.208.1 to 92.0.215.25492.0.215.2552,046
2892.0.216.0/2192.0.216.1 to 92.0.223.25492.0.223.2552,046
2992.0.224.0/2192.0.224.1 to 92.0.231.25492.0.231.2552,046
3092.0.232.0/2192.0.232.1 to 92.0.239.25492.0.239.2552,046
3192.0.240.0/2192.0.240.1 to 92.0.247.25492.0.247.2552,046
3292.0.248.0/2192.0.248.1 to 92.0.255.25492.0.255.2552,046
3392.1.0.0/2192.1.0.1 to 92.1.7.25492.1.7.2552,046
3492.1.8.0/2192.1.8.1 to 92.1.15.25492.1.15.2552,046
3592.1.16.0/2192.1.16.1 to 92.1.23.25492.1.23.2552,046
3692.1.24.0/2192.1.24.1 to 92.1.31.25492.1.31.2552,046
3792.1.32.0/2192.1.32.1 to 92.1.39.25492.1.39.2552,046
3892.1.40.0/2192.1.40.1 to 92.1.47.25492.1.47.2552,046
3992.1.48.0/2192.1.48.1 to 92.1.55.25492.1.55.2552,046
4092.1.56.0/2192.1.56.1 to 92.1.63.25492.1.63.2552,046
4192.1.64.0/2192.1.64.1 to 92.1.71.25492.1.71.2552,046
4292.1.72.0/2192.1.72.1 to 92.1.79.25492.1.79.2552,046
4392.1.80.0/2192.1.80.1 to 92.1.87.25492.1.87.2552,046
4492.1.88.0/2192.1.88.1 to 92.1.95.25492.1.95.2552,046
4592.1.96.0/2192.1.96.1 to 92.1.103.25492.1.103.2552,046
4692.1.104.0/2192.1.104.1 to 92.1.111.25492.1.111.2552,046
4792.1.112.0/2192.1.112.1 to 92.1.119.25492.1.119.2552,046
4892.1.120.0/2192.1.120.1 to 92.1.127.25492.1.127.2552,046
4992.1.128.0/2192.1.128.1 to 92.1.135.25492.1.135.2552,046
5092.1.136.0/2192.1.136.1 to 92.1.143.25492.1.143.2552,046
5192.1.144.0/2192.1.144.1 to 92.1.151.25492.1.151.2552,046
5292.1.152.0/2192.1.152.1 to 92.1.159.25492.1.159.2552,046
5392.1.160.0/2192.1.160.1 to 92.1.167.25492.1.167.2552,046
5492.1.168.0/2192.1.168.1 to 92.1.175.25492.1.175.2552,046
5592.1.176.0/2192.1.176.1 to 92.1.183.25492.1.183.2552,046
5692.1.184.0/2192.1.184.1 to 92.1.191.25492.1.191.2552,046
5792.1.192.0/2192.1.192.1 to 92.1.199.25492.1.199.2552,046
5892.1.200.0/2192.1.200.1 to 92.1.207.25492.1.207.2552,046
5992.1.208.0/2192.1.208.1 to 92.1.215.25492.1.215.2552,046
6092.1.216.0/2192.1.216.1 to 92.1.223.25492.1.223.2552,046
6192.1.224.0/2192.1.224.1 to 92.1.231.25492.1.231.2552,046
6292.1.232.0/2192.1.232.1 to 92.1.239.25492.1.239.2552,046
6392.1.240.0/2192.1.240.1 to 92.1.247.25492.1.247.2552,046
6492.1.248.0/2192.1.248.1 to 92.1.255.25492.1.255.2552,046
6592.2.0.0/2192.2.0.1 to 92.2.7.25492.2.7.2552,046
6692.2.8.0/2192.2.8.1 to 92.2.15.25492.2.15.2552,046
6792.2.16.0/2192.2.16.1 to 92.2.23.25492.2.23.2552,046
6892.2.24.0/2192.2.24.1 to 92.2.31.25492.2.31.2552,046
6992.2.32.0/2192.2.32.1 to 92.2.39.25492.2.39.2552,046
7092.2.40.0/2192.2.40.1 to 92.2.47.25492.2.47.2552,046
7192.2.48.0/2192.2.48.1 to 92.2.55.25492.2.55.2552,046
7292.2.56.0/2192.2.56.1 to 92.2.63.25492.2.63.2552,046
7392.2.64.0/2192.2.64.1 to 92.2.71.25492.2.71.2552,046
7492.2.72.0/2192.2.72.1 to 92.2.79.25492.2.79.2552,046
7592.2.80.0/2192.2.80.1 to 92.2.87.25492.2.87.2552,046
7692.2.88.0/2192.2.88.1 to 92.2.95.25492.2.95.2552,046
7792.2.96.0/2192.2.96.1 to 92.2.103.25492.2.103.2552,046
7892.2.104.0/2192.2.104.1 to 92.2.111.25492.2.111.2552,046
7992.2.112.0/2192.2.112.1 to 92.2.119.25492.2.119.2552,046
8092.2.120.0/2192.2.120.1 to 92.2.127.25492.2.127.2552,046
8192.2.128.0/2192.2.128.1 to 92.2.135.25492.2.135.2552,046
8292.2.136.0/2192.2.136.1 to 92.2.143.25492.2.143.2552,046
8392.2.144.0/2192.2.144.1 to 92.2.151.25492.2.151.2552,046
8492.2.152.0/2192.2.152.1 to 92.2.159.25492.2.159.2552,046
8592.2.160.0/2192.2.160.1 to 92.2.167.25492.2.167.2552,046
8692.2.168.0/2192.2.168.1 to 92.2.175.25492.2.175.2552,046
8792.2.176.0/2192.2.176.1 to 92.2.183.25492.2.183.2552,046
8892.2.184.0/2192.2.184.1 to 92.2.191.25492.2.191.2552,046
8992.2.192.0/2192.2.192.1 to 92.2.199.25492.2.199.2552,046
9092.2.200.0/2192.2.200.1 to 92.2.207.25492.2.207.2552,046
9192.2.208.0/2192.2.208.1 to 92.2.215.25492.2.215.2552,046
9292.2.216.0/2192.2.216.1 to 92.2.223.25492.2.223.2552,046
9392.2.224.0/2192.2.224.1 to 92.2.231.25492.2.231.2552,046
9492.2.232.0/2192.2.232.1 to 92.2.239.25492.2.239.2552,046
9592.2.240.0/2192.2.240.1 to 92.2.247.25492.2.247.2552,046
9692.2.248.0/2192.2.248.1 to 92.2.255.25492.2.255.2552,046
9792.3.0.0/2192.3.0.1 to 92.3.7.25492.3.7.2552,046
9892.3.8.0/2192.3.8.1 to 92.3.15.25492.3.15.2552,046
9992.3.16.0/2192.3.16.1 to 92.3.23.25492.3.23.2552,046
10092.3.24.0/2192.3.24.1 to 92.3.31.25492.3.31.2552,046
10192.3.32.0/2192.3.32.1 to 92.3.39.25492.3.39.2552,046
10292.3.40.0/2192.3.40.1 to 92.3.47.25492.3.47.2552,046
10392.3.48.0/2192.3.48.1 to 92.3.55.25492.3.55.2552,046
10492.3.56.0/2192.3.56.1 to 92.3.63.25492.3.63.2552,046
10592.3.64.0/2192.3.64.1 to 92.3.71.25492.3.71.2552,046
10692.3.72.0/2192.3.72.1 to 92.3.79.25492.3.79.2552,046
10792.3.80.0/2192.3.80.1 to 92.3.87.25492.3.87.2552,046
10892.3.88.0/2192.3.88.1 to 92.3.95.25492.3.95.2552,046
10992.3.96.0/2192.3.96.1 to 92.3.103.25492.3.103.2552,046
11092.3.104.0/2192.3.104.1 to 92.3.111.25492.3.111.2552,046
11192.3.112.0/2192.3.112.1 to 92.3.119.25492.3.119.2552,046
11292.3.120.0/2192.3.120.1 to 92.3.127.25492.3.127.2552,046
11392.3.128.0/2192.3.128.1 to 92.3.135.25492.3.135.2552,046
11492.3.136.0/2192.3.136.1 to 92.3.143.25492.3.143.2552,046
11592.3.144.0/2192.3.144.1 to 92.3.151.25492.3.151.2552,046
11692.3.152.0/2192.3.152.1 to 92.3.159.25492.3.159.2552,046
11792.3.160.0/2192.3.160.1 to 92.3.167.25492.3.167.2552,046
11892.3.168.0/2192.3.168.1 to 92.3.175.25492.3.175.2552,046
11992.3.176.0/2192.3.176.1 to 92.3.183.25492.3.183.2552,046
12092.3.184.0/2192.3.184.1 to 92.3.191.25492.3.191.2552,046
12192.3.192.0/2192.3.192.1 to 92.3.199.25492.3.199.2552,046
12292.3.200.0/2192.3.200.1 to 92.3.207.25492.3.207.2552,046
12392.3.208.0/2192.3.208.1 to 92.3.215.25492.3.215.2552,046
12492.3.216.0/2192.3.216.1 to 92.3.223.25492.3.223.2552,046
12592.3.224.0/2192.3.224.1 to 92.3.231.25492.3.231.2552,046
12692.3.232.0/2192.3.232.1 to 92.3.239.25492.3.239.2552,046
12792.3.240.0/2192.3.240.1 to 92.3.247.25492.3.247.2552,046
12892.3.248.0/2192.3.248.1 to 92.3.255.25492.3.255.2552,046
12992.4.0.0/2192.4.0.1 to 92.4.7.25492.4.7.2552,046
13092.4.8.0/2192.4.8.1 to 92.4.15.25492.4.15.2552,046
13192.4.16.0/2192.4.16.1 to 92.4.23.25492.4.23.2552,046
13292.4.24.0/2192.4.24.1 to 92.4.31.25492.4.31.2552,046
13392.4.32.0/2192.4.32.1 to 92.4.39.25492.4.39.2552,046
13492.4.40.0/2192.4.40.1 to 92.4.47.25492.4.47.2552,046
13592.4.48.0/2192.4.48.1 to 92.4.55.25492.4.55.2552,046
13692.4.56.0/2192.4.56.1 to 92.4.63.25492.4.63.2552,046
13792.4.64.0/2192.4.64.1 to 92.4.71.25492.4.71.2552,046
13892.4.72.0/2192.4.72.1 to 92.4.79.25492.4.79.2552,046
13992.4.80.0/2192.4.80.1 to 92.4.87.25492.4.87.2552,046
14092.4.88.0/2192.4.88.1 to 92.4.95.25492.4.95.2552,046
14192.4.96.0/2192.4.96.1 to 92.4.103.25492.4.103.2552,046
14292.4.104.0/2192.4.104.1 to 92.4.111.25492.4.111.2552,046
14392.4.112.0/2192.4.112.1 to 92.4.119.25492.4.119.2552,046
14492.4.120.0/2192.4.120.1 to 92.4.127.25492.4.127.2552,046
14592.4.128.0/2192.4.128.1 to 92.4.135.25492.4.135.2552,046
14692.4.136.0/2192.4.136.1 to 92.4.143.25492.4.143.2552,046
14792.4.144.0/2192.4.144.1 to 92.4.151.25492.4.151.2552,046
14892.4.152.0/2192.4.152.1 to 92.4.159.25492.4.159.2552,046
14992.4.160.0/2192.4.160.1 to 92.4.167.25492.4.167.2552,046
15092.4.168.0/2192.4.168.1 to 92.4.175.25492.4.175.2552,046
15192.4.176.0/2192.4.176.1 to 92.4.183.25492.4.183.2552,046
15292.4.184.0/2192.4.184.1 to 92.4.191.25492.4.191.2552,046
15392.4.192.0/2192.4.192.1 to 92.4.199.25492.4.199.2552,046
15492.4.200.0/2192.4.200.1 to 92.4.207.25492.4.207.2552,046
15592.4.208.0/2192.4.208.1 to 92.4.215.25492.4.215.2552,046
15692.4.216.0/2192.4.216.1 to 92.4.223.25492.4.223.2552,046
15792.4.224.0/2192.4.224.1 to 92.4.231.25492.4.231.2552,046
15892.4.232.0/2192.4.232.1 to 92.4.239.25492.4.239.2552,046
15992.4.240.0/2192.4.240.1 to 92.4.247.25492.4.247.2552,046
16092.4.248.0/2192.4.248.1 to 92.4.255.25492.4.255.2552,046
16192.5.0.0/2192.5.0.1 to 92.5.7.25492.5.7.2552,046
16292.5.8.0/2192.5.8.1 to 92.5.15.25492.5.15.2552,046
16392.5.16.0/2192.5.16.1 to 92.5.23.25492.5.23.2552,046
16492.5.24.0/2192.5.24.1 to 92.5.31.25492.5.31.2552,046
16592.5.32.0/2192.5.32.1 to 92.5.39.25492.5.39.2552,046
16692.5.40.0/2192.5.40.1 to 92.5.47.25492.5.47.2552,046
16792.5.48.0/2192.5.48.1 to 92.5.55.25492.5.55.2552,046
16892.5.56.0/2192.5.56.1 to 92.5.63.25492.5.63.2552,046
16992.5.64.0/2192.5.64.1 to 92.5.71.25492.5.71.2552,046
17092.5.72.0/2192.5.72.1 to 92.5.79.25492.5.79.2552,046
17192.5.80.0/2192.5.80.1 to 92.5.87.25492.5.87.2552,046
17292.5.88.0/2192.5.88.1 to 92.5.95.25492.5.95.2552,046
17392.5.96.0/2192.5.96.1 to 92.5.103.25492.5.103.2552,046
17492.5.104.0/2192.5.104.1 to 92.5.111.25492.5.111.2552,046
17592.5.112.0/2192.5.112.1 to 92.5.119.25492.5.119.2552,046
17692.5.120.0/2192.5.120.1 to 92.5.127.25492.5.127.2552,046
17792.5.128.0/2192.5.128.1 to 92.5.135.25492.5.135.2552,046
17892.5.136.0/2192.5.136.1 to 92.5.143.25492.5.143.2552,046
17992.5.144.0/2192.5.144.1 to 92.5.151.25492.5.151.2552,046
18092.5.152.0/2192.5.152.1 to 92.5.159.25492.5.159.2552,046
18192.5.160.0/2192.5.160.1 to 92.5.167.25492.5.167.2552,046
18292.5.168.0/2192.5.168.1 to 92.5.175.25492.5.175.2552,046
18392.5.176.0/2192.5.176.1 to 92.5.183.25492.5.183.2552,046
18492.5.184.0/2192.5.184.1 to 92.5.191.25492.5.191.2552,046
18592.5.192.0/2192.5.192.1 to 92.5.199.25492.5.199.2552,046
18692.5.200.0/2192.5.200.1 to 92.5.207.25492.5.207.2552,046
18792.5.208.0/2192.5.208.1 to 92.5.215.25492.5.215.2552,046
18892.5.216.0/2192.5.216.1 to 92.5.223.25492.5.223.2552,046
18992.5.224.0/2192.5.224.1 to 92.5.231.25492.5.231.2552,046
19092.5.232.0/2192.5.232.1 to 92.5.239.25492.5.239.2552,046
19192.5.240.0/2192.5.240.1 to 92.5.247.25492.5.247.2552,046
19292.5.248.0/2192.5.248.1 to 92.5.255.25492.5.255.2552,046
19392.6.0.0/2192.6.0.1 to 92.6.7.25492.6.7.2552,046
19492.6.8.0/2192.6.8.1 to 92.6.15.25492.6.15.2552,046
19592.6.16.0/2192.6.16.1 to 92.6.23.25492.6.23.2552,046
19692.6.24.0/2192.6.24.1 to 92.6.31.25492.6.31.2552,046
19792.6.32.0/2192.6.32.1 to 92.6.39.25492.6.39.2552,046
19892.6.40.0/2192.6.40.1 to 92.6.47.25492.6.47.2552,046
19992.6.48.0/2192.6.48.1 to 92.6.55.25492.6.55.2552,046
20092.6.56.0/2192.6.56.1 to 92.6.63.25492.6.63.2552,046
20192.6.64.0/2192.6.64.1 to 92.6.71.25492.6.71.2552,046
20292.6.72.0/2192.6.72.1 to 92.6.79.25492.6.79.2552,046
20392.6.80.0/2192.6.80.1 to 92.6.87.25492.6.87.2552,046
20492.6.88.0/2192.6.88.1 to 92.6.95.25492.6.95.2552,046
20592.6.96.0/2192.6.96.1 to 92.6.103.25492.6.103.2552,046
20692.6.104.0/2192.6.104.1 to 92.6.111.25492.6.111.2552,046
20792.6.112.0/2192.6.112.1 to 92.6.119.25492.6.119.2552,046
20892.6.120.0/2192.6.120.1 to 92.6.127.25492.6.127.2552,046
20992.6.128.0/2192.6.128.1 to 92.6.135.25492.6.135.2552,046
21092.6.136.0/2192.6.136.1 to 92.6.143.25492.6.143.2552,046
21192.6.144.0/2192.6.144.1 to 92.6.151.25492.6.151.2552,046
21292.6.152.0/2192.6.152.1 to 92.6.159.25492.6.159.2552,046
21392.6.160.0/2192.6.160.1 to 92.6.167.25492.6.167.2552,046
21492.6.168.0/2192.6.168.1 to 92.6.175.25492.6.175.2552,046
21592.6.176.0/2192.6.176.1 to 92.6.183.25492.6.183.2552,046
21692.6.184.0/2192.6.184.1 to 92.6.191.25492.6.191.2552,046
21792.6.192.0/2192.6.192.1 to 92.6.199.25492.6.199.2552,046
21892.6.200.0/2192.6.200.1 to 92.6.207.25492.6.207.2552,046
21992.6.208.0/2192.6.208.1 to 92.6.215.25492.6.215.2552,046
22092.6.216.0/2192.6.216.1 to 92.6.223.25492.6.223.2552,046
22192.6.224.0/2192.6.224.1 to 92.6.231.25492.6.231.2552,046
22292.6.232.0/2192.6.232.1 to 92.6.239.25492.6.239.2552,046
22392.6.240.0/2192.6.240.1 to 92.6.247.25492.6.247.2552,046
22492.6.248.0/2192.6.248.1 to 92.6.255.25492.6.255.2552,046
22592.7.0.0/2192.7.0.1 to 92.7.7.25492.7.7.2552,046
22692.7.8.0/2192.7.8.1 to 92.7.15.25492.7.15.2552,046
22792.7.16.0/2192.7.16.1 to 92.7.23.25492.7.23.2552,046
22892.7.24.0/2192.7.24.1 to 92.7.31.25492.7.31.2552,046
22992.7.32.0/2192.7.32.1 to 92.7.39.25492.7.39.2552,046
23092.7.40.0/2192.7.40.1 to 92.7.47.25492.7.47.2552,046
23192.7.48.0/2192.7.48.1 to 92.7.55.25492.7.55.2552,046
23292.7.56.0/2192.7.56.1 to 92.7.63.25492.7.63.2552,046
23392.7.64.0/2192.7.64.1 to 92.7.71.25492.7.71.2552,046
23492.7.72.0/2192.7.72.1 to 92.7.79.25492.7.79.2552,046
23592.7.80.0/2192.7.80.1 to 92.7.87.25492.7.87.2552,046
23692.7.88.0/2192.7.88.1 to 92.7.95.25492.7.95.2552,046
23792.7.96.0/2192.7.96.1 to 92.7.103.25492.7.103.2552,046
23892.7.104.0/2192.7.104.1 to 92.7.111.25492.7.111.2552,046
23992.7.112.0/2192.7.112.1 to 92.7.119.25492.7.119.2552,046
24092.7.120.0/2192.7.120.1 to 92.7.127.25492.7.127.2552,046
24192.7.128.0/2192.7.128.1 to 92.7.135.25492.7.135.2552,046
24292.7.136.0/2192.7.136.1 to 92.7.143.25492.7.143.2552,046
24392.7.144.0/2192.7.144.1 to 92.7.151.25492.7.151.2552,046
24492.7.152.0/2192.7.152.1 to 92.7.159.25492.7.159.2552,046
24592.7.160.0/2192.7.160.1 to 92.7.167.25492.7.167.2552,046
24692.7.168.0/2192.7.168.1 to 92.7.175.25492.7.175.2552,046
24792.7.176.0/2192.7.176.1 to 92.7.183.25492.7.183.2552,046
24892.7.184.0/2192.7.184.1 to 92.7.191.25492.7.191.2552,046
24992.7.192.0/2192.7.192.1 to 92.7.199.25492.7.199.2552,046
25092.7.200.0/2192.7.200.1 to 92.7.207.25492.7.207.2552,046
25192.7.208.0/2192.7.208.1 to 92.7.215.25492.7.215.2552,046
25292.7.216.0/2192.7.216.1 to 92.7.223.25492.7.223.2552,046
25392.7.224.0/2192.7.224.1 to 92.7.231.25492.7.231.2552,046
25492.7.232.0/2192.7.232.1 to 92.7.239.25492.7.239.2552,046
25592.7.240.0/2192.7.240.1 to 92.7.247.25492.7.247.2552,046
25692.7.248.0/2192.7.248.1 to 92.7.255.25492.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses